<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesCiudad.home.createOrEditLabel"
          data-cy="CiudadCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesCiudad.home.createOrEditLabel')"
        >
          Create or edit a Ciudad
        </h2>
        <div>
          <div class="form-group" v-if="ciudad.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="ciudad.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesCiudad.ciudad')" for="ciudad-ciudad">Ciudad</label>
            <input
              type="text"
              class="form-control"
              name="ciudad"
              id="ciudad-ciudad"
              data-cy="ciudad"
              :class="{ valid: !$v.ciudad.ciudad.$invalid, invalid: $v.ciudad.ciudad.$invalid }"
              v-model="$v.ciudad.ciudad.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesCiudad.pais')" for="ciudad-pais">Pais</label>
            <select class="form-control" id="ciudad-pais" data-cy="pais" name="pais" v-model="ciudad.pais">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="ciudad.pais && paisOption.id === ciudad.pais.id ? ciudad.pais : paisOption"
                v-for="paisOption in pais"
                :key="paisOption.id"
              >
                {{ paisOption.pais }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.ciudad.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./ciudad-update.component.ts"></script>
